﻿Imports System.Collections.ObjectModel
Imports Telerik.Windows.Controls

Public Class Series
    Inherits ViewModelBase
    Public Sub New()
        Me.Id = ""
        Me.IsEmpty = True
    End Sub
    Public Sub New(ByVal id As String)
        Me.Id = id
        Me.GetChildren()
        If Me.Children.Count = 0 Then
            Me.IsEmpty = True
        Else
            Me.IsEmpty = False
        End If
        SATrend = New ObservableCollection(Of Observation)(MyDataService.GetData(id))
    End Sub
    Public Property Children As ObservableCollection(Of Series)
        Get
            Return mChildren
        End Get
        Set(ByVal value As ObservableCollection(Of Series))
            mChildren = value
            OnPropertyChanged("Children")
        End Set
    End Property
    Private mChildren As ObservableCollection(Of Series)

    Public Property Id() As String
        Get
            Return m_id
        End Get
        Set(ByVal value As String)
            m_id = value
            OnPropertyChanged("Id")
        End Set
    End Property
    Private m_id As String
    Public Property IsEmpty As Boolean
        Get
            Return mEmpty
        End Get
        Set(ByVal value As Boolean)
            mEmpty = value
            OnPropertyChanged("IsEmpty")
        End Set
    End Property
    Private mEmpty As Boolean
    Public Property SATrend() As ObservableCollection(Of Observation)
        Get
            Return m_SATrend
        End Get
        Set(ByVal value As ObservableCollection(Of Observation))
            m_SATrend = value
            OnPropertyChanged("SATrend")
        End Set
    End Property
    Private m_SATrend As ObservableCollection(Of Observation)
    Public Sub GetChildren()
        If Me.Children Is Nothing Then
            Me.Children = New ObservableCollection(Of Series)(MyDataService.GetChildren(Me.Id))
        End If
    End Sub
    Public Sub LoadChildren()
        'If Me.Children Is Nothing Then
        '    Me.Children = New ObservableCollection(Of Series)(MyDataService.GetChildren(Me.Id))
        'End If
    End Sub
End Class